Bug 1427197 - notifications don't work in non-local sessions
Summary: notifications don't work in non-local sessions
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-notifyd
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 15:07 UTC by Pierre Ossman
Modified: 2018-11-30 18:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:17:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 13394 None None None 2017-02-28 02:07:46 UTC

Description Pierre Ossman 2017-02-27 15:07:43 UTC
This is one instance of Xfce being hit by bug 1353953 (shared D-BUS). Similar issues are bug 1281675 and bug 1353723 for Gnome.

What the user sees is that notifications fail to work when logged in using some remote system such as Xvnc or ThinLinc (and probably NX and such as well).

The basic issue is that dbus activated stuff are started with a faulty environment. Gnome seems to have solved it by updating dbus' environment once gnome-session starts up. Perhaps xfce needs something similar?

Comment 1 Mukundan Ragavan 2017-02-27 22:26:58 UTC
Thanks for the report. I will file an upstream bug report.

Comment 2 Mukundan Ragavan 2017-02-28 02:07:46 UTC
What version of xfce4-notifyd are you using?

Comment 3 Pierre Ossman 2017-02-28 11:38:24 UTC
xfce4-notifyd-0.3.5-1.fc25.x86_64

Comment 4 Fedora End Of Life 2017-11-16 18:42:22 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-27 18:11:50 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2018-11-30 18:17:22 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.